Herald
OpenapiExt

Get a single realm by ID

Returns detailed information for the specified realm. # Authentication Requires valid API Key via X-API-Key header # Authorization The caller must have `realm:view` permission in the target realm. Every principal may only view its own realm (no super-admin).

GET
/api/ext/realms/{realmId}

Returns detailed information for the specified realm.

Authentication

Requires valid API Key via X-API-Key header

Authorization

The caller must have realm:view permission in the target realm. Every principal may only view its own realm (no super-admin).

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/ext/realms/string"
{  "adminUser": null,  "createdAt": "string",  "description": "string",  "id": "string",  "name": "string",  "updatedAt": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}